org.apache.fop.pdf

## Class PDFUri

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFAction
    - - org.apache.fop.pdf.PDFUri

- All Implemented Interfaces:
    PDFWritable

      public class PDFUri
      extends PDFAction

  class used to create a PDF Uri link

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFUri(String uri)` create a Uri instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()` returns the action ncecessary for a uri
    `String` | `toPDFString()` This method returns a String representation of the PDF object.

    - ### Methods inherited from class org.apache.fop.pdf.PDFAction

      `encodeScript`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFUri

          public PDFUri(String uri)

      create a Uri instance.
      Parameters:
        `uri` - the uri to which the link should point

  - ### Method Detail

    - #### getAction

          public String getAction()

      returns the action ncecessary for a uri
      Specified by:
        `getAction` in class `PDFAction`
      Returns:
        the action to place next to /A within a Link

    - #### toPDFString

          public String toPDFString()

      This method returns a String representation of the PDF object. The result is normally converted/encoded to a byte array by toPDF(). Only use this method to implement the serialization if the object can be fully represented as text. If the PDF representation of the object contains binary content use toPDF() or output(OutputStream) instead. This applies to any object potentially containing a string object because string object are encrypted and therefore need to be binary.
      Overrides:
        `toPDFString` in class `PDFObject`
      Returns:
        String the String representation

Copyright © 2023 Apache Software Foundation. All rights reserved.